<template>
  <div class="pptScreen">
    <Screen v-if="!initLoading" />
  </div>
</template>

<script setup lang="ts">
import Screen from "../Screen/index.vue"
import { ref } from "vue"
import usePptWork from "@/store/pptWork"
import { useScreenStore } from "@/store"
const screenStore = useScreenStore()

const initLoading = ref(true)

const usePptWorkHook = usePptWork()

screenStore.setScreenMode("pptScreen")
// 初始化 ppt数据
usePptWorkHook.initPPTData().then(() => {
  initLoading.value = false
})
</script>

<style lang="scss" scoped>
.pptScreen {
  width: 100%;
  height: 100%;
}
</style>
